FsImageProto.SecretManagerSection.PersistToken (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: SecretManagerSection, class: PersistToken

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.SecretManagerSection.PersistToken

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite
org.apache.hadoop.thirdparty.protobuf.AbstractMessage
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3
org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection.PersistToken

All Implemented Interfaces:
  `Serializable`, `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message`, `org.apache.hadoop.thirdparty.protobuf.MessageLite`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.SecretManagerSection

public static final class FsImageProto.SecretManagerSection.PersistToken extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3 implements FsImageProto.SecretManagerSection.PersistTokenOrBuilder
Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.PersistToken`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FsImageProto.SecretManagerSection.PersistToken.Builder`
  Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.PersistToken`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EXPIRYDATE_FIELD_NUMBER`
  `static final int`
  `ISSUEDATE_FIELD_NUMBER`
  `static final int`
  `MASTERKEYID_FIELD_NUMBER`
  `static final int`
  `MAXDATE_FIELD_NUMBER`
  `static final int`
  `OWNER_FIELD_NUMBER`
  `static final org.apache.hadoop.thirdparty.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken>`
  `PARSER`
  Deprecated.
  `static final int`
  `REALUSER_FIELD_NUMBER`
  `static final int`
  `RENEWER_FIELD_NUMBER`
  `static final int`
  `SEQUENCENUMBER_FIELD_NUMBER`
  `static final int`
  `VERSION_FIELD_NUMBER`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `getDefaultInstance()`
  `FsImageProto.SecretManagerSection.PersistToken`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `long`
  `getExpiryDate()`
  `optional uint64 expiryDate = 9;`
  `long`
  `getIssueDate()`
  `optional uint64 issueDate = 5;`
  `int`
  `getMasterKeyId()`
  `optional uint32 masterKeyId = 8;`
  `long`
  `getMaxDate()`
  `optional uint64 maxDate = 6;`
  `String`
  `getOwner()`
  `optional string owner = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getOwnerBytes()`
  `optional string owner = 2;`
  `org.apache.hadoop.thirdparty.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken>`
  `getParserForType()`
  `String`
  `getRealUser()`
  `optional string realUser = 4;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getRealUserBytes()`
  `optional string realUser = 4;`
  `String`
  `getRenewer()`
  `optional string renewer = 3;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getRenewerBytes()`
  `optional string renewer = 3;`
  `int`
  `getSequenceNumber()`
  `optional uint32 sequenceNumber = 7;`
  `int`
  `getSerializedSize()`
  `int`
  `getVersion()`
  `optional uint32 version = 1;`
  `boolean`
  `hasExpiryDate()`
  `optional uint64 expiryDate = 9;`
  `int`
  `hashCode()`
  `boolean`
  `hasIssueDate()`
  `optional uint64 issueDate = 5;`
  `boolean`
  `hasMasterKeyId()`
  `optional uint32 masterKeyId = 8;`
  `boolean`
  `hasMaxDate()`
  `optional uint64 maxDate = 6;`
  `boolean`
  `hasOwner()`
  `optional string owner = 2;`
  `boolean`
  `hasRealUser()`
  `optional string realUser = 4;`
  `boolean`
  `hasRenewer()`
  `optional string renewer = 3;`
  `boolean`
  `hasSequenceNumber()`
  `optional uint32 sequenceNumber = 7;`
  `boolean`
  `hasVersion()`
  `optional uint32 version = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static FsImageProto.SecretManagerSection.PersistToken.Builder`
  `newBuilder()`
  `static FsImageProto.SecretManagerSection.PersistToken.Builder`
  `newBuilder(FsImageProto.SecretManagerSection.PersistToken prototype)`
  `FsImageProto.SecretManagerSection.PersistToken.Builder`
  `newBuilderForType()`
  `protected FsImageProto.SecretManagerSection.PersistToken.Builder`
  `newBuilderForType(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseDelimitedFrom(InputStream input)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseDelimitedFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(byte[] data)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(byte[] data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(InputStream input)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(ByteBuffer data)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(ByteBuffer data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input)`
  `static FsImageProto.SecretManagerSection.PersistToken`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static org.apache.hadoop.thirdparty.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken>`
  `parser()`
  `FsImageProto.SecretManagerSection.PersistToken.Builder`
  `toBuilder()`
  `void`
  `writeTo(org.apache.hadoop.thirdparty.protobuf.CodedOutputStream output)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### VERSION_FIELD_NUMBER

    public static final int VERSION_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### OWNER_FIELD_NUMBER

    public static final int OWNER_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### RENEWER_FIELD_NUMBER

    public static final int RENEWER_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### REALUSER_FIELD_NUMBER

    public static final int REALUSER_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### ISSUEDATE_FIELD_NUMBER

    public static final int ISSUEDATE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### MAXDATE_FIELD_NUMBER

    public static final int MAXDATE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### SEQUENCENUMBER_FIELD_NUMBER

    public static final int SEQUENCENUMBER_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### MASTERKEYID_FIELD_NUMBER

    public static final int MASTERKEYID_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### EXPIRYDATE_FIELD_NUMBER

    public static final int EXPIRYDATE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### PARSER

    @Deprecated public static final org.apache.hadoop.thirdparty.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken> PARSER
    Deprecated.

- ## Method Details

  - ### newInstance

    protected Object newInstance(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### hasVersion

    public boolean hasVersion()
    `optional uint32 version = 1;`
    Specified by:
      `hasVersion` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the version field is set.

  - ### getVersion

    public int getVersion()
    `optional uint32 version = 1;`
    Specified by:
      `getVersion` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The version.

  - ### hasOwner

    public boolean hasOwner()
    `optional string owner = 2;`
    Specified by:
      `hasOwner` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the owner field is set.

  - ### getOwner

    public String getOwner()
    `optional string owner = 2;`
    Specified by:
      `getOwner` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The owner.

  - ### getOwnerBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getOwnerBytes()
    `optional string owner = 2;`
    Specified by:
      `getOwnerBytes` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The bytes for owner.

  - ### hasRenewer

    public boolean hasRenewer()
    `optional string renewer = 3;`
    Specified by:
      `hasRenewer` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the renewer field is set.

  - ### getRenewer

    public String getRenewer()
    `optional string renewer = 3;`
    Specified by:
      `getRenewer` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The renewer.

  - ### getRenewerBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getRenewerBytes()
    `optional string renewer = 3;`
    Specified by:
      `getRenewerBytes` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The bytes for renewer.

  - ### hasRealUser

    public boolean hasRealUser()
    `optional string realUser = 4;`
    Specified by:
      `hasRealUser` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the realUser field is set.

  - ### getRealUser

    public String getRealUser()
    `optional string realUser = 4;`
    Specified by:
      `getRealUser` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The realUser.

  - ### getRealUserBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getRealUserBytes()
    `optional string realUser = 4;`
    Specified by:
      `getRealUserBytes` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The bytes for realUser.

  - ### hasIssueDate

    public boolean hasIssueDate()
    `optional uint64 issueDate = 5;`
    Specified by:
      `hasIssueDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the issueDate field is set.

  - ### getIssueDate

    public long getIssueDate()
    `optional uint64 issueDate = 5;`
    Specified by:
      `getIssueDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The issueDate.

  - ### hasMaxDate

    public boolean hasMaxDate()
    `optional uint64 maxDate = 6;`
    Specified by:
      `hasMaxDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the maxDate field is set.

  - ### getMaxDate

    public long getMaxDate()
    `optional uint64 maxDate = 6;`
    Specified by:
      `getMaxDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The maxDate.

  - ### hasSequenceNumber

    public boolean hasSequenceNumber()
    `optional uint32 sequenceNumber = 7;`
    Specified by:
      `hasSequenceNumber` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the sequenceNumber field is set.

  - ### getSequenceNumber

    public int getSequenceNumber()
    `optional uint32 sequenceNumber = 7;`
    Specified by:
      `getSequenceNumber` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The sequenceNumber.

  - ### hasMasterKeyId

    public boolean hasMasterKeyId()
    `optional uint32 masterKeyId = 8;`
    Specified by:
      `hasMasterKeyId` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the masterKeyId field is set.

  - ### getMasterKeyId

    public int getMasterKeyId()
    `optional uint32 masterKeyId = 8;`
    Specified by:
      `getMasterKeyId` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The masterKeyId.

  - ### hasExpiryDate

    public boolean hasExpiryDate()
    `optional uint64 expiryDate = 9;`
    Specified by:
      `hasExpiryDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      Whether the expiryDate field is set.

  - ### getExpiryDate

    public long getExpiryDate()
    `optional uint64 expiryDate = 9;`
    Specified by:
      `getExpiryDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`
    Returns:
      The expiryDate.

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(org.apache.hadoop.thirdparty.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Overrides:
      `equals` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Overrides:
      `hashCode` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(ByteBuffer data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(ByteBuffer data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(byte[] data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(byte[] data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseDelimitedFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static FsImageProto.SecretManagerSection.PersistToken parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public FsImageProto.SecretManagerSection.PersistToken.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`

  - ### newBuilder

    public static FsImageProto.SecretManagerSection.PersistToken.Builder newBuilder()

  - ### newBuilder

    public static FsImageProto.SecretManagerSection.PersistToken.Builder newBuilder(FsImageProto.SecretManagerSection.PersistToken prototype)

  - ### toBuilder

    public FsImageProto.SecretManagerSection.PersistToken.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `toBuilder` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`

  - ### newBuilderForType

    protected FsImageProto.SecretManagerSection.PersistToken.Builder newBuilderForType(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static FsImageProto.SecretManagerSection.PersistToken getDefaultInstance()

  - ### parser

    public static org.apache.hadoop.thirdparty.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken> parser()

  - ### getParserForType

    public org.apache.hadoop.thirdparty.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken> getParserForType()
    Specified by:
      `getParserForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `getParserForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public FsImageProto.SecretManagerSection.PersistToken getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`